Public Class TecnicoComentarioBusinessObject
    Inherits BusinessObject(Of TecnicoComentario)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New TecnicoComentarioDbHelper
    End Sub

    Public Sub New(ByVal entity As TecnicoComentario)
        MyBase.New(entity)
        DbHelper = New TecnicoComentarioDbHelper
    End Sub

    Public Sub New(ByVal idTecnicoComentario As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idTecnicoComentario = idTecnicoComentario
        Dim Entity_Aux As TecnicoComentario = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As TecnicoComentarioBusinessObject
    Protected Shared Function GetDdHelperInstance() As TecnicoComentarioDbHelper
        If _Instance Is Nothing Then
            _Instance = New TecnicoComentarioBusinessObject
        End If
    Return CType(_Instance.DbHelper, TecnicoComentarioDbHelper)
    End Function

    Public Shared Function GetListTecnicoComentario(Optional ByVal foreignLevel As Integer=0) As EntityList(Of TecnicoComentario)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListTecnicoComentarioByConcursoPostulante(ByVal idConcursoPostulante as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of TecnicoComentario)
        Return GetDdHelperInstance.GetListTecnicoComentarioByConcursoPostulante(idConcursoPostulante, foreignLevel)
    End Function

#End Region
End Class
